#Python script to generate a "header.txt" file with use with EDF Converter
#By Jacob Walsh
#2 April 2014

def get_label(f,label,tabs):
    val = input('Enter value for ' + label + ':  ')
    pre = ''
    for i in range(0,tabs):
        pre += '	'
    post = pre
    pre += '<' + label + '>'
    post += '</' + label + '>'
    f.write(pre + '\n')
    mid = ''
    for i in range(0,tabs+1):
        mid += '	'
    mid += val
    f.write(mid + '\n')
    f.write(post + '\n')

def get_signal(f,cur_sig):
    f.write('\t<signal>\n')
    print('For signal #',cur_sig+1)
    get_label(f,'filepostscript',2)
    get_label(f,'label',2)
    get_label(f,'transducer',2)
    get_label(f,'row',2)
    get_label(f,'col',2)
    get_label(f,'units',2)
    get_label(f,'physical_min',2)
    get_label(f,'physical_max',2)
    get_label(f,'digital_min',2)
    get_label(f,'digital_max',2)
    get_label(f,'prefiltering',2)
    f.write('\t</signal>\n')

def main():
    print('Creating header.txt for use with sTUG to EDF converter')
    try:
        sig_num = int(input('Enter number of signals to create:  '))
    except:
        print('Number of signals is not an int')
        exit(0)
    print('Creating ', sig_num, ' signals...')
    f = open('testing.txt','w')
    f.write('<edf>\n')
    get_label(f,'csv_path',1)
    get_label(f,'patient_id',1)
    for i in range(0,sig_num):
        get_signal(f,i)
    f.write('</edf>\n')
    f.close()
    print('Writing of header.txt completed')

main()
